function c = cost_wave(N,n)

% compute rough costs for storing N significant wavelet coefficients in an
% image with n^2 pixels

% INPUT
% N - nonzero wavelet coefficients
% n - image size

% OUTPUT
% c - storage costs (in bpp)


b = 16; % bits for coding of single wavelet coefficient

cw = b*N; % cost for coding single coefficient
cwp = - N * log2(N/n^2) - (n^2-N) * log2((n^2-N)/n^2); % cost for coding position

c = (cw + cwp)/n^2;