function create_matrices_tetro

% creates admissible covering matrices

tic
% declare some global variables
global COVER_NUMSOL
global P % contains permutation
global W
global WW
global DEV % contains deviations of coverings
 
W1 = [1  1  1  1;
      1  1 -1 -1;
      1 -1  1 -1;
      1 -1 -1  1]; % WT matrix
W = 1/2*kron(eye(4),W1);

% ### initialization ###
A = zeros(4);
P = zeros(16,117);
number_wave = 0;
COVER_NUMSOL = 0;
DEV = zeros(1,117);

tetromino_gen_sort(A); % generate matrix P

% ### optional restriction to certain tilings ###

x1 = load('cover.mat');
cov = x1.y1;

num_cov = 117
%cov = [1,58,26,34,24,32,45,87,77,112,100,59,23,6,94,117]; % free choice: 6 ?
P = P(:,cov(1:num_cov));
dev = DEV(cov);
    
% re-order of coverings by deviations from optimal Haar configuration
% (-> minimal improvement in quality, minimal decline in entropy)
[q,permu] = sort(dev(1:num_cov),'descend');
P = P(:,permu);
    
I2 = eye(numel(P));
per = I2(P(:),:);
I3 = eye(num_cov);

%WW = sparse(kron(I3,W)*per);
save mat117P.mat P