function E = entr(cov_distrib,n);
% computation of entropy E for adaptivity values
%
% INPUT
% cov_distrib - distribution of adaptivity values
% n - image size
%
% OUTPUT
% E - entropy of the adaptivity values (in bpp)
%
% jens.krommweh(at)uni-due.de, 2009
% #####################################################################

num_ad = sum(cov_distrib); % number of adaptivity values
cov_distrib(find(cov_distrib == 0)) = []; % delete zero entries due to log2
E = - cov_distrib/num_ad * log2(cov_distrib/num_ad)' * num_ad/n^2;