function [r,wave_min,permut] = opt_wave10(v)

% INPUT:
% v: pixel vector of length 1872
% WW: WT block matrix of size 1872 x 1872

% OUTPUT:
% r: lowpass part (vector of length 4)
% wave_min: wavelets (vector of length 12)
% permut: number of covering (1,...,117), necessary for reconstruction

global WW

sizeP = length(v)/16;

ma = reshape(WW*v,16,sizeP);
low = ma([1 5 9 13],:); % store rows with lowpass coeff
ma([1 5 9 13],:) = [];  % delete lowpass coeff

% suche die Spalte ind mit minimaler l_1-Norm der wavelets
z1 = sum(abs(ma));
ind = find(z1 == min(z1)); % find entries with minimal l_1-norm

z0 = sum(ma(:,ind) ~= 0);
z10 = find(z0 == min(z0)); % find among these the entry with minimal l_0-norm

permut = ind(z10(1)); % choose entry with minimal l_1-norm (if more possibilities -> take first one)

wave_min = ma(:,permut); % wavelets
r = low(:,permut);       % scaling functions